Export Categories Artifacts
Creates an incremental backup of specific artifacts in a category in the environment. Generally, you use incremental backup of artifacts of a category to update another environment with incremental changes.
Required Roles
Service Administrator
REST Resource
POST /interop/rest/v2/migration/categories/artifacts/export
Request
Supported Media Types: application/json
| Parameter | Description | Required | Type |
|---|---|---|---|
snapshotName |
The name of the backup snapshot that will be created by this export. | Yes | Payload |
categoryName |
Name of the category to export | Yes | Payload |
selectedArtifacts |
This is an optional parameter. If
selectedArtifacts is not included in the
payload, it will default to //, resulting in all
artifacts within the specified category being exported. Folder paths
must end with a /.
|
No | Payload |
Example:
{
"snapshotName": "Export_Users_and_AllCalcArtifacts",
"categories": [
{
"categoryName": "Groups and Membership",
"selectedArtifacts": [
"/Native Directory/Users"
]
},
{
"categoryName": "Calculation Manager"
}
]
}
Response
| Parameter | Description |
|---|---|
name |
Name of the task, usually "Task Information" |
source |
From where the navigation is being performed |
destination |
To where the navigation is being performed |
Successful response body example - Export in progress:
{
"status": -1,
"items": null,
"links": [
{
"href": "https://<BASE-URL>/interop/rest/v2/migration/categories/artifacts/export",
"action": "POST",
"rel": "self"
},
{
"href": " https://<BASE-URL>/interop/rest/v2/status/migration/4",
"action": "GET",
"rel": "Job Status"
}
]
}
Successful response body example - Export is complete:
"details": null
"status": 0,
"items": [
{
"name": "Task Information
"source": "FDM Enterprise Edition",
"destination": "/testuser@2025-10-17/FDMEE-FDM Enterprise Edition",
"links": [
{
"href": "https<BASE-URL>/interop/rest/v2/status/migration/4/0/details?limit=25&offset=0&msgtype=info",
"action": "GET",
"rel": "Job Details",
"data": null
}
]
}
],
"links": [
{
"href": "https://<BASE-URL>/interop/rest/v2/status/migration/4",
"action": "GET",
"rel": "self",
"data": null
}
]
}
Response for invalid category:
{
"status": 8,
"details": "Invalid Category [Groups and Membership-1]",
"items": null,
"links": [
{
"href": "http://<BASE-URL>/interop/rest/v2/migration/categories/artifacts/export",
"action": "POST",
"rel": "self"
}
]
}